Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl.apache
Class StreamClientConfigurationImpl

    java.lang.Object
      org.teleal.cling.transport.impl.apache.StreamClientConfigurationImpl

All Implemented Interfaces:
  StreamClientConfiguration

    public class StreamClientConfigurationImpl

extends Object
implements StreamClientConfiguration

Settings for the Apache HTTP Components implementation.

Author:
  Christian Bauer

Constructor Summary
`StreamClientConfigurationImpl()`

Method Summary
`int` | `getConnectionTimeoutSeconds()` Defaults to 10 seconds;
`String` | `getContentCharset()`
`int` | `getDataReadTimeoutSeconds()` Defaults to 5 seconds;
`int` | `getMaxTotalConnections()` Defaults to 1024.
`String` | `getUserAgentValue(int majorVersion, int minorVersion)` Defaults to the values defined in `Constants`.
`void` | `setConnectionTimeoutSeconds(int connectionTimeoutSeconds)`
`void` | `setContentCharset(String contentCharset)`
`void` | `setDataReadTimeoutSeconds(int dataReadTimeoutSeconds)`
`void` | `setMaxTotalConnections(int maxTotalConnections)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamClientConfigurationImpl

    public StreamClientConfigurationImpl()

Method Detail

### getMaxTotalConnections

    public int getMaxTotalConnections()

  Defaults to 1024.

### setMaxTotalConnections

    public void setMaxTotalConnections(int maxTotalConnections)

### getConnectionTimeoutSeconds

    public int getConnectionTimeoutSeconds()

  Defaults to 10 seconds;

### setConnectionTimeoutSeconds

    public void setConnectionTimeoutSeconds(int connectionTimeoutSeconds)

### getDataReadTimeoutSeconds

    public int getDataReadTimeoutSeconds()

  Defaults to 5 seconds;

### setDataReadTimeoutSeconds

    public void setDataReadTimeoutSeconds(int dataReadTimeoutSeconds)

### getContentCharset

    public String getContentCharset()

  Returns:
    Character set of textual content, defaults to "UTF-8".

### setContentCharset

    public void setContentCharset(String contentCharset)

### getUserAgentValue

    public String getUserAgentValue(int majorVersion,
                                    int minorVersion)

  Defaults to the values defined in `Constants`.

  Specified by:
    `getUserAgentValue` in interface `StreamClientConfiguration`
  Parameters:
    `majorVersion` - The UPnP UDA major version.
    `minorVersion` - The UPnP UDA minor version.
  Returns:
    The HTTP user agent value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.